installpkg(1)

NAME
installpkg - installs a Ch Package

SYNTAX
ch installpkg.ch [OPTION]... FILE ch installpkg.ch [-u] FILE

DESCRIPTION
Installpkg installs a given Ch Package binary into the Ch Package directory and copies any required header files into the CHHOME/toolkit/include directory or modifies the _chrc file accordingly. Installpkg automatically determines if directory tinclude exists within the given Ch Package binary. During installations, an installation file is created under the <CH_HOME>/package/installed directory listing the installed directories and files. Installpkg will also unistall a Ch Package by removing any header files installed into the CHHOME/toolkit/include directory and the Ch Package in the CHHOME/package directory based on the corresponding package file in CHHOME/package/installed directory.

OPTIONS

-u  uninstalls a Ch Package

EXAMPLE
   installpkg.ch chpng

SEE ALSO
 createpkg

AUTHOR
Stephen Nestinger